Name:           crystalhd-firmware
Version:        3.6.9
Release:        1%{?dist}
Summary:        Firmware for the Broadcom Crystal HD video decoder

Group:          System Environment/Kernel
License:        Redistributable, no modification permitted
URL:            http://www.broadcom.com/support/crystal_hd
#http://www.broadcom.com/support/license.php?file=crystalhd_3.6.9.zip
Source0:        crystalhd-firmware-%{version}.tar.xz
Source1:        LICENSE.crystalhd-firmware
Source9:        crystalhd-firmware-snapshot.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
Firmwares for the Broadcom Crystal HD (bcm970012 and bcm970015)
video decoders.


%prep
%setup -q
install -pm 0644 %{SOURCE1} .

%build
#Nothing to build


%install
mkdir -p $RPM_BUILD_ROOT/lib/firmware
install -pm 0644 bcm*fw.bin $RPM_BUILD_ROOT/lib/firmware


%files
%doc LICENSE.crystalhd-firmware
/lib/firmware/*.bin


%changelog
* Sat Mar 10 2012 Nicolas Chauvet <kwizart@gmail.com> - 3.6.9-1
- Initial package splitted from libcrystalhd

